# Device interactive

A decision block that checks if the device is in an “interactive” state, or not.

If the proceed option is set to Immediately, then check if the device is currently an “interactive” state, or not, without pausing the fiber. If set to When changed, then the fiber will pause until the device become “interactive”, or “non-interactive”.

An “interactive” device is awake and ready to interact with the user. The primary display is usually turned on.

A “non-interactive” device is dozing or asleep, and must be awoken before becoming “interactive” again. The primary display is usually turned off, but features like Ambient display may keep it turned on.

Use the Display on block to check if the primary display is turned on or off regardless of “interactive” state.

## Options

- Proceed — when the fiber should proceed.